import _Modal from "antd/es/modal";
import _extends from "@babel/runtime/helpers/extends";
import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import * as React from 'react';
import { BaseDialog } from "../../shared/base/BaseDialog";

var ProModal = /*#__PURE__*/function (_BaseDialog) {
  _inheritsLoose(ProModal, _BaseDialog);

  function ProModal() {
    return _BaseDialog.apply(this, arguments) || this;
  }

  var _proto = ProModal.prototype;

  _proto.render = function render() {
    var innerProps = this.transformProps();
    return /*#__PURE__*/React.createElement(_Modal, _extends({}, this.props, innerProps, {
      onClose: innerProps.onCancel
    }));
  };

  return ProModal;
}(BaseDialog);

export { ProModal as default };